No-code Applications
Read below to learn about datarobot's endpoints for no-code applications. reference the ai app builder documentation for more information.
Paginated List Of Applications Created By The Currently Authenticated User
Operation path: GET /api/v2/applications/
Authentication requirements: BearerAuth
Paginated list of applications created by the currently authenticated user.
Parameters
| Name |
In |
Type |
Required |
Description |
| offset |
query |
integer |
true |
This many results will be skipped. |
| limit |
query |
integer |
true |
At most this many results are returned. If 0, all results. |
| lid |
query |
string |
false |
The ID of the application |
Example responses
200 Response
{
"properties": {
"count": {
"description": "The number of items returned on this page.",
"type": "integer"
},
"data": {
"description": "An array of application objects.",
"items": {
"properties": {
"applicationTemplateType": {
"description": "Application template type, purpose.",
"type": [
"string",
"null"
]
},
"applicationTypeId": {
"description": "The id of the type of the application.",
"type": "string"
},
"cloudProvider": {
"description": "The host of this application.",
"type": "string"
},
"createdAt": {
"description": "The timestamp when the application was created.",
"type": "string"
},
"createdBy": {
"description": "The username of who created the application.",
"type": [
"string",
"null"
]
},
"creatorFirstName": {
"description": "Application creator first name.",
"type": [
"string",
"null"
]
},
"creatorLastName": {
"description": "Application creator last name.",
"type": [
"string",
"null"
]
},
"creatorUserhash": {
"description": "Application creator userhash.",
"type": [
"string",
"null"
]
},
"datasets": {
"description": "The list of datasets ids associated with the application.",
"items": {
"type": "string"
},
"type": "array"
},
"deactivationStatusId": {
"description": "The id of the status object to track the asynchronous app deactivation process status. will be null if the app was never deactivated.",
"type": [
"string",
"null"
]
},
"deploymentIds": {
"description": "A list of deployment ids for this app.",
"items": {
"description": "The ID of one deployment",
"type": "string"
},
"type": "array"
},
"deploymentName": {
"description": "Name of the deployment.",
"type": [
"string",
"null"
]
},
"deploymentStatusId": {
"description": "The id of the status object to track the asynchronous deployment process status.",
"type": "string"
},
"deployments": {
"description": "A list of deployment details.",
"items": {
"properties": {
"deploymentId": {
"description": "The id of the deployment.",
"type": "string"
},
"referenceName": {
"description": "The reference name of the deployment.",
"type": "string"
}
},
"required": [
"deploymentId",
"referenceName"
],
"type": "object"
},
"type": "array"
},
"description": {
"description": "A description of the application.",
"type": "string"
},
"hasCustomLogo": {
"description": "Whether the app has a custom logo.",
"type": "boolean"
},
"id": {
"description": "The id of the created application.",
"type": "string"
},
"modelDeploymentId": {
"description": "The id of the associated model deployment.",
"type": "string"
},
"name": {
"description": "The name of the application.",
"type": "string"
},
"orgId": {
"description": "Id of the app's organization.",
"type": "string"
},
"orgName": {
"description": "Name of the app's organization.",
"type": [
"string",
"null"
]
},
"permissions": {
"description": "The list of permitted actions, which the authenticated user can perform on this application.",
"items": {
"enum": [
"CAN_DELETE",
"CAN_SHARE",
"CAN_UPDATE",
"CAN_VIEW"
],
"type": "string"
},
"type": "array"
},
"poolUsed": {
"description": "Whether the pool where used for last app deployment.",
"type": "boolean"
},
"realtimePredictionsSupport": {
"description": "Sets whether you can do realtime predictions in the app.",
"type": "boolean",
"x-versionadded": "v2.34"
},
"relatedEntities": {
"description": "Ids of entities, related to app for easy search.",
"properties": {
"isFromExperimentContainer": {
"description": "[deprecated - replaced with is_from_use_case] whether the app was created from an experiment container.",
"type": "boolean"
},
"isFromUseCase": {
"description": "Whether the app was created from an use case.",
"type": "boolean"
},
"isTrialOrganization": {
"description": "Whether the app was created from by trial customer.",
"type": "boolean"
},
"modelId": {
"description": "The id of the associated model.",
"type": "string"
},
"projectId": {
"description": "The id of the associated project.",
"type": "string"
}
},
"type": "object"
},
"updatedAt": {
"description": "The timestamp when the application was updated.",
"type": "string"
},
"userId": {
"description": "The id of the user which created the application.",
"type": "string"
}
},
"required": [
"applicationTemplateType",
"applicationTypeId",
"cloudProvider",
"createdAt",
"createdBy",
"creatorFirstName",
"creatorLastName",
"creatorUserhash",
"datasets",
"deactivationStatusId",
"deploymentIds",
"deploymentName",
"deploymentStatusId",
"deployments",
"hasCustomLogo",
"id",
"modelDeploymentId",
"name",
"orgId",
"permissions",
"poolUsed",
"realtimePredictionsSupport",
"updatedAt",
"userId"
],
"type": "object"
},
"type": "array"
},
"next": {
"description": "The url of the next page (if null, there is no next page).",
"format": "uri",
"type": [
"string",
"null"
]
},
"previous": {
"description": "The url of the previous page (if null, there is no previous page).",
"format": "uri",
"type": [
"string",
"null"
]
}
},
"required": [
"data",
"next",
"previous"
],
"type": "object"
}
Responses
Create An Application
Operation path: POST /api/v2/applications/
Authentication requirements: BearerAuth
Create an application. Note that the number of active applications users can have at the same time is limited.
Body parameter
{
"properties": {
"applicationTypeId": {
"description": "The id of the of application to be created.",
"type": "string"
},
"authenticationType": {
"default": "invitedUsersOnly",
"description": "Authentication type.",
"enum": [
"invitedUsersOnly",
"token"
],
"type": [
"string",
"null"
]
},
"cloudProvider": {
"default": "drcloud",
"description": "The optional cloud provider.",
"enum": [
"drcloud",
"heroku"
],
"type": "string"
},
"description": {
"description": "The description of the application.",
"maxLength": 512,
"type": [
"string",
"null"
]
},
"experimentContainerId": {
"description": "[deprecated - replaced with use_case_id] the id of the experiment container associated with the application.",
"type": "string"
},
"modelDeploymentId": {
"description": "The id of the model deployment. the deployed application will use this deployment to make predictions.",
"type": "string"
},
"name": {
"description": "The name of the app.",
"maxLength": 512,
"minLength": 1,
"type": "string"
},
"purpose": {
"description": "An optional field to describe the purpose of the application.",
"type": [
"string",
"null"
]
},
"sources": {
"description": "The sources for this application.",
"items": {
"properties": {
"info": {
"description": "Information about the deployment or the model.",
"oneOf": [
{
"properties": {
"modelDeploymentId": {
"description": "The id of the model deployment.",
"type": "string"
}
},
"required": [
"modelDeploymentId"
],
"type": "object"
},
{
"properties": {
"modelId": {
"description": "The id of the model.",
"type": "string"
},
"predictionThreshold": {
"description": "Threshold used for binary classification in predictions.",
"maximum": 1,
"minimum": 0,
"type": "number"
},
"projectId": {
"description": "The id of the project.",
"type": "string"
}
},
"required": [
"modelId",
"projectId"
],
"type": "object"
}
]
},
"name": {
"description": "The name of this source.",
"type": "string"
},
"source": {
"description": "Information about the source for this application.",
"enum": [
"deployment",
"model"
],
"type": "string"
}
},
"required": [
"info",
"source"
],
"type": "object"
},
"type": "array"
},
"useCaseId": {
"description": "The id of the use case associated with the application.",
"type": "string"
}
},
"type": "object"
}
Parameters
Example responses
200 Response
{
"properties": {
"applicationTemplateType": {
"description": "Application template type, purpose.",
"type": [
"string",
"null"
]
},
"applicationTypeId": {
"description": "The id of the type of the application.",
"type": "string"
},
"cloudProvider": {
"description": "The host of this application.",
"type": "string"
},
"createdAt": {
"description": "The timestamp when the application was created.",
"type": "string"
},
"createdBy": {
"description": "The username of who created the application.",
"type": [
"string",
"null"
]
},
"creatorFirstName": {
"description": "Application creator first name.",
"type": [
"string",
"null"
]
},
"creatorLastName": {
"description": "Application creator last name.",
"type": [
"string",
"null"
]
},
"creatorUserhash": {
"description": "Application creator userhash.",
"type": [
"string",
"null"
]
},
"datasets": {
"description": "The list of datasets ids associated with the application.",
"items": {
"type": "string"
},
"type": "array"
},
"deactivationStatusId": {
"description": "The id of the status object to track the asynchronous app deactivation process status. will be null if the app was never deactivated.",
"type": [
"string",
"null"
]
},
"deploymentIds": {
"description": "A list of deployment ids for this app.",
"items": {
"description": "The ID of one deployment",
"type": "string"
},
"type": "array"
},
"deploymentName": {
"description": "Name of the deployment.",
"type": [
"string",
"null"
]
},
"deploymentStatusId": {
"description": "The id of the status object to track the asynchronous deployment process status.",
"type": "string"
},
"deployments": {
"description": "A list of deployment details.",
"items": {
"properties": {
"deploymentId": {
"description": "The id of the deployment.",
"type": "string"
},
"referenceName": {
"description": "The reference name of the deployment.",
"type": "string"
}
},
"required": [
"deploymentId",
"referenceName"
],
"type": "object"
},
"type": "array"
},
"description": {
"description": "A description of the application.",
"type": "string"
},
"hasCustomLogo": {
"description": "Whether the app has a custom logo.",
"type": "boolean"
},
"id": {
"description": "The id of the created application.",
"type": "string"
},
"modelDeploymentId": {
"description": "The id of the associated model deployment.",
"type": "string"
},
"name": {
"description": "The name of the application.",
"type": "string"
},
"orgId": {
"description": "Id of the app's organization.",
"type": "string"
},
"orgName": {
"description": "Name of the app's organization.",
"type": [
"string",
"null"
]
},
"permissions": {
"description": "The list of permitted actions, which the authenticated user can perform on this application.",
"items": {
"enum": [
"CAN_DELETE",
"CAN_SHARE",
"CAN_UPDATE",
"CAN_VIEW"
],
"type": "string"
},
"type": "array"
},
"poolUsed": {
"description": "Whether the pool where used for last app deployment.",
"type": "boolean"
},
"realtimePredictionsSupport": {
"description": "Sets whether you can do realtime predictions in the app.",
"type": "boolean",
"x-versionadded": "v2.34"
},
"relatedEntities": {
"description": "Ids of entities, related to app for easy search.",
"properties": {
"isFromExperimentContainer": {
"description": "[deprecated - replaced with is_from_use_case] whether the app was created from an experiment container.",
"type": "boolean"
},
"isFromUseCase": {
"description": "Whether the app was created from an use case.",
"type": "boolean"
},
"isTrialOrganization": {
"description": "Whether the app was created from by trial customer.",
"type": "boolean"
},
"modelId": {
"description": "The id of the associated model.",
"type": "string"
},
"projectId": {
"description": "The id of the associated project.",
"type": "string"
}
},
"type": "object"
},
"updatedAt": {
"description": "The timestamp when the application was updated.",
"type": "string"
},
"userId": {
"description": "The id of the user which created the application.",
"type": "string"
}
},
"required": [
"applicationTemplateType",
"applicationTypeId",
"cloudProvider",
"createdAt",
"createdBy",
"creatorFirstName",
"creatorLastName",
"creatorUserhash",
"datasets",
"deactivationStatusId",
"deploymentIds",
"deploymentName",
"deploymentStatusId",
"deployments",
"hasCustomLogo",
"id",
"modelDeploymentId",
"name",
"orgId",
"permissions",
"poolUsed",
"realtimePredictionsSupport",
"updatedAt",
"userId"
],
"type": "object"
}
Responses
| Status |
Meaning |
Description |
Schema |
| 200 |
OK |
none |
Application |
| 202 |
Accepted |
Creation has successfully started. See the Location header. |
None |
| 403 |
Forbidden |
User does not have permission to launch application of provided type. |
None |
| 404 |
Not Found |
No app type matching the specified identifier found or user does not have permissions to access to this app type. |
None |
| 422 |
Unprocessable Entity |
Application could not be created with the given input. |
None |
Verify Ability
Operation path: POST /api/v2/applications/verify/
Authentication requirements: BearerAuth
Verifies a user can create an app.
Body parameter
{
"properties": {
"experimentContainerId": {
"description": "The id of the experiment container (for apps from an experiment container.",
"type": "string"
},
"projectId": {
"description": "The id of the project (for apps from leaderboard).",
"type": "string"
},
"sourceId": {
"description": "The id of the source.",
"type": "string"
},
"sourceType": {
"description": "Whether the app is from a deployment or a project.",
"enum": [
"deployment",
"model"
],
"type": "string"
}
},
"required": [
"sourceId",
"sourceType"
],
"type": "object"
}
Parameters
Responses
| Status |
Meaning |
Description |
Schema |
| 200 |
OK |
App may be created |
None |
| 403 |
Forbidden |
User does not have permission to launch application of provided type. |
None |
| 404 |
Not Found |
No app type matching the specified identifier found or user does not have permissions to access to this app type. |
None |
| 422 |
Unprocessable Entity |
Application can not be created with the given input. |
None |
Delete An Application By Application Id by application ID
Operation path: DELETE /api/v2/applications/{applicationId}/
Authentication requirements: BearerAuth
Delete an application.
Body parameter
{
"properties": {
"applicationId": {
"description": "The id of the application.",
"type": "string"
}
},
"required": [
"applicationId"
],
"type": "object"
}
Parameters
| Name |
In |
Type |
Required |
Description |
| hard |
query |
boolean |
false |
Determines whether or not DataRobot deletes the underlying entity, or just marks it as deleted. |
| applicationId |
path |
string |
true |
The ID of the application |
| body |
body |
ApplicationParam |
false |
none |
Responses
| Status |
Meaning |
Description |
Schema |
| 200 |
OK |
none |
None |
| 204 |
No Content |
The application has been deleted. |
None |
Retrieve An Application By Application Id by application ID
Operation path: GET /api/v2/applications/{applicationId}/
Authentication requirements: BearerAuth
Retrieve an application.
Parameters
| Name |
In |
Type |
Required |
Description |
| applicationId |
path |
string |
true |
The ID of the application |
Example responses
200 Response
{
"properties": {
"applicationTemplateType": {
"description": "Application template type, purpose.",
"type": [
"string",
"null"
]
},
"applicationTypeId": {
"description": "The id of the type of the application.",
"type": "string"
},
"cloudProvider": {
"description": "The host of this application.",
"type": "string"
},
"createdAt": {
"description": "The timestamp when the application was created.",
"type": "string"
},
"createdBy": {
"description": "The username of who created the application.",
"type": [
"string",
"null"
]
},
"creatorFirstName": {
"description": "Application creator first name.",
"type": [
"string",
"null"
]
},
"creatorLastName": {
"description": "Application creator last name.",
"type": [
"string",
"null"
]
},
"creatorUserhash": {
"description": "Application creator userhash.",
"type": [
"string",
"null"
]
},
"datasets": {
"description": "The list of datasets ids associated with the application.",
"items": {
"type": "string"
},
"type": "array"
},
"deactivationStatusId": {
"description": "The id of the status object to track the asynchronous app deactivation process status. will be null if the app was never deactivated.",
"type": [
"string",
"null"
]
},
"deploymentIds": {
"description": "A list of deployment ids for this app.",
"items": {
"description": "The ID of one deployment",
"type": "string"
},
"type": "array"
},
"deploymentName": {
"description": "Name of the deployment.",
"type": [
"string",
"null"
]
},
"deploymentStatusId": {
"description": "The id of the status object to track the asynchronous deployment process status.",
"type": "string"
},
"deployments": {
"description": "A list of deployment details.",
"items": {
"properties": {
"deploymentId": {
"description": "The id of the deployment.",
"type": "string"
},
"referenceName": {
"description": "The reference name of the deployment.",
"type": "string"
}
},
"required": [
"deploymentId",
"referenceName"
],
"type": "object"
},
"type": "array"
},
"description": {
"description": "A description of the application.",
"type": "string"
},
"hasCustomLogo": {
"description": "Whether the app has a custom logo.",
"type": "boolean"
},
"id": {
"description": "The id of the created application.",
"type": "string"
},
"modelDeploymentId": {
"description": "The id of the model deployment. the deployed application will use this deployment to make predictions.",
"type": [
"string",
"null"
]
},
"name": {
"description": "The name of the application.",
"type": "string"
},
"orgId": {
"description": "Id of the app's organization.",
"type": "string"
},
"orgName": {
"description": "Name of the app's organization.",
"type": [
"string",
"null"
]
},
"permissions": {
"description": "The list of permitted actions, which the authenticated user can perform on this application.",
"items": {
"enum": [
"CAN_DELETE",
"CAN_SHARE",
"CAN_UPDATE",
"CAN_VIEW"
],
"type": "string"
},
"type": "array"
},
"poolUsed": {
"description": "Whether the pool where used for last app deployment.",
"type": "boolean"
},
"realtimePredictionsSupport": {
"description": "Sets whether you can do realtime predictions in the app.",
"type": "boolean",
"x-versionadded": "v2.34"
},
"relatedEntities": {
"description": "Ids of entities, related to app for easy search.",
"properties": {
"isFromExperimentContainer": {
"description": "[deprecated - replaced with is_from_use_case] whether the app was created from an experiment container.",
"type": "boolean"
},
"isFromUseCase": {
"description": "Whether the app was created from an use case.",
"type": "boolean"
},
"isTrialOrganization": {
"description": "Whether the app was created from by trial customer.",
"type": "boolean"
},
"modelId": {
"description": "The id of the associated model.",
"type": "string"
},
"projectId": {
"description": "The id of the associated project.",
"type": "string"
}
},
"type": "object"
},
"updatedAt": {
"description": "The timestamp when the application was updated.",
"type": "string"
},
"userId": {
"description": "The id of the user which created the application.",
"type": "string"
}
},
"required": [
"applicationTemplateType",
"applicationTypeId",
"cloudProvider",
"createdAt",
"createdBy",
"creatorFirstName",
"creatorLastName",
"creatorUserhash",
"datasets",
"deactivationStatusId",
"deploymentIds",
"deploymentName",
"deploymentStatusId",
"deployments",
"hasCustomLogo",
"id",
"name",
"orgId",
"permissions",
"poolUsed",
"realtimePredictionsSupport",
"updatedAt",
"userId"
],
"type": "object"
}
Responses
Update An Application's Name And/ By Application Id by application ID
Operation path: PATCH /api/v2/applications/{applicationId}/
Authentication requirements: BearerAuth
Update an application's name and/or description.
Body parameter
{
"properties": {
"description": {
"description": "The description of the application.",
"maxLength": 512,
"type": [
"string",
"null"
]
},
"name": {
"description": "The name of the app.",
"maxLength": 512,
"minLength": 1,
"type": "string"
}
},
"type": "object"
}
Parameters
Responses
| Status |
Meaning |
Description |
Schema |
| 200 |
OK |
none |
None |
| 204 |
No Content |
The application has been updated. |
None |
A List Of Users With Access By Application Id by application ID
Operation path: GET /api/v2/applications/{applicationId}/accessControl/
Authentication requirements: BearerAuth
A list of users who have access to this application and their roles.
Parameters
| Name |
In |
Type |
Required |
Description |
| offset |
query |
integer |
true |
This many results will be skipped |
| limit |
query |
integer |
true |
At most this many results are returned |
| username |
query |
string |
false |
Optional, only return the access control information for a user with this username. |
| userId |
query |
string |
false |
Optional, only return the access control information for a user with this user ID. |
| applicationId |
path |
string |
true |
The ID of the application |
Example responses
200 Response
{
"properties": {
"count": {
"description": "The number of items returned on this page.",
"type": "integer"
},
"data": {
"description": "An array of accesscontroldata objects.",
"items": {
"properties": {
"canShare": {
"description": "Whether this user can share with other users.",
"type": "boolean"
},
"role": {
"description": "The role of the user on this application.",
"type": "string"
},
"userId": {
"description": "The id of the user.",
"type": "string"
},
"username": {
"description": "Username of a user with access to this application.",
"type": "string"
}
},
"required": [
"canShare",
"role",
"userId",
"username"
],
"type": "object"
},
"type": "array"
},
"next": {
"description": "The url of the next page (if null, there is no next page).",
"format": "uri",
"type": [
"string",
"null"
]
},
"previous": {
"description": "The url of the previous page (if null, there is no previous page).",
"format": "uri",
"type": [
"string",
"null"
]
}
},
"required": [
"data",
"next",
"previous"
],
"type": "object"
}
Responses
| Status |
Meaning |
Description |
Schema |
| 200 |
OK |
none |
ApplicationAccessControlList |
| 400 |
Bad Request |
Bad Request, both username and userId were specified |
None |
| 404 |
Not Found |
Entity not found. Either the application does not exist or the user does not have permissions to view the application. |
None |
Update Access Control By Application Id by application ID
Operation path: PATCH /api/v2/applications/{applicationId}/accessControl/
Authentication requirements: BearerAuth
Update access control for this application. Request is processed only if updates can be performed on all entries.
Body parameter
{
"properties": {
"data": {
"description": "An array of accesscontrolpermissionvalidator objects.",
"items": {
"properties": {
"role": {
"description": "The role to grant to the user, or \"\" (empty string) to remove the users access.",
"enum": [
"CONSUMER",
"EDITOR",
"OWNER",
""
],
"type": "string"
},
"username": {
"description": "The username of the user to modify access for.",
"type": "string"
}
},
"required": [
"role",
"username"
],
"type": "object"
},
"type": "array"
},
"permissions": {
"description": "The list of permission objects describing which users to modify access for.",
"items": {
"properties": {
"role": {
"description": "The role to grant to the user, or \"\" (empty string) to remove the users access.",
"enum": [
"CONSUMER",
"EDITOR",
"OWNER",
""
],
"type": "string"
},
"username": {
"description": "The username of the user to modify access for.",
"type": "string"
}
},
"required": [
"role",
"username"
],
"type": "object"
},
"type": "array"
}
},
"required": [
"data"
],
"type": "object"
}
Parameters
Responses
| Status |
Meaning |
Description |
Schema |
| 200 |
OK |
none |
None |
| 403 |
Forbidden |
User does not have appropriate privileges |
None |
| 404 |
Not Found |
Invalid applicationId provided or invalid username provided to modify access for |
None |
Links A Deployment By Application Id by application ID
Operation path: POST /api/v2/applications/{applicationId}/deployments/
Authentication requirements: BearerAuth
If application creates deployment during its lifetime, we want to have an API to link deployment with application.
Body parameter
{
"properties": {
"linkName": {
"description": "Internal name of deployment to match in the application.",
"type": "string"
},
"modelDeploymentId": {
"description": "The id of the model deployment to link to the application.",
"type": "string"
}
},
"required": [
"modelDeploymentId"
],
"type": "object"
}
Parameters
| Name |
In |
Type |
Required |
Description |
| applicationId |
path |
string |
true |
The ID of the application |
| body |
body |
AddDeploymentToApplication |
false |
none |
Responses
| Status |
Meaning |
Description |
Schema |
| 200 |
OK |
none |
None |
Delete Link Between Application By Application Id by application ID
Operation path: DELETE /api/v2/applications/{applicationId}/deployments/{modelDeploymentId}/
Authentication requirements: BearerAuth
Delete link between application and deployment.
Body parameter
{
"properties": {
"applicationId": {
"description": "The id of the application.",
"type": "string"
},
"modelDeploymentId": {
"description": "The id of the model deployment.",
"type": "string"
}
},
"required": [
"applicationId",
"modelDeploymentId"
],
"type": "object"
}
Parameters
| Name |
In |
Type |
Required |
Description |
| applicationId |
path |
string |
true |
The ID of the application |
| modelDeploymentId |
path |
string |
true |
The ID of the model deployment |
| body |
body |
ApplicationModelDeploymentParam |
false |
none |
Responses
| Status |
Meaning |
Description |
Schema |
| 200 |
OK |
none |
None |
| 204 |
No Content |
The link has been deleted. |
None |
Create A Duplicate Of The Application By Application Id by application ID
Operation path: POST /api/v2/applications/{applicationId}/duplicate/
Authentication requirements: BearerAuth
Create a copy of App Builder application. Note that the number of active applications users can have at the same time is limited.
Body parameter
{
"properties": {
"authenticationType": {
"default": "invitedUsersOnly",
"description": "Authentication type.",
"enum": [
"invitedUsersOnly",
"token"
],
"type": [
"string",
"null"
]
},
"description": {
"description": "The description of the application.",
"maxLength": 512,
"type": [
"string",
"null"
]
},
"duplicatePredictions": {
"default": false,
"description": "Import all predictions from the source application.",
"type": "boolean"
},
"name": {
"description": "The name of the app.",
"maxLength": 512,
"minLength": 1,
"type": "string"
}
},
"type": "object"
}
Parameters
| Name |
In |
Type |
Required |
Description |
| applicationId |
path |
string |
true |
The ID of the application |
| body |
body |
ApplicationDuplicate |
false |
none |
Example responses
200 Response
{
"properties": {
"applicationTemplateType": {
"description": "Application template type, purpose.",
"type": [
"string",
"null"
]
},
"applicationTypeId": {
"description": "The id of the type of the application.",
"type": "string"
},
"cloudProvider": {
"description": "The host of this application.",
"type": "string"
},
"createdAt": {
"description": "The timestamp when the application was created.",
"type": "string"
},
"createdBy": {
"description": "The username of who created the application.",
"type": [
"string",
"null"
]
},
"creatorFirstName": {
"description": "Application creator first name.",
"type": [
"string",
"null"
]
},
"creatorLastName": {
"description": "Application creator last name.",
"type": [
"string",
"null"
]
},
"creatorUserhash": {
"description": "Application creator userhash.",
"type": [
"string",
"null"
]
},
"datasets": {
"description": "The list of datasets ids associated with the application.",
"items": {
"type": "string"
},
"type": "array"
},
"deactivationStatusId": {
"description": "The id of the status object to track the asynchronous app deactivation process status. will be null if the app was never deactivated.",
"type": [
"string",
"null"
]
},
"deploymentIds": {
"description": "A list of deployment ids for this app.",
"items": {
"description": "The ID of one deployment",
"type": "string"
},
"type": "array"
},
"deploymentName": {
"description": "Name of the deployment.",
"type": [
"string",
"null"
]
},
"deploymentStatusId": {
"description": "The id of the status object to track the asynchronous deployment process status.",
"type": "string"
},
"deployments": {
"description": "A list of deployment details.",
"items": {
"properties": {
"deploymentId": {
"description": "The id of the deployment.",
"type": "string"
},
"referenceName": {
"description": "The reference name of the deployment.",
"type": "string"
}
},
"required": [
"deploymentId",
"referenceName"
],
"type": "object"
},
"type": "array"
},
"description": {
"description": "A description of the application.",
"type": "string"
},
"hasCustomLogo": {
"description": "Whether the app has a custom logo.",
"type": "boolean"
},
"id": {
"description": "The id of the created application.",
"type": "string"
},
"modelDeploymentId": {
"description": "The id of the associated model deployment.",
"type": "string"
},
"name": {
"description": "The name of the application.",
"type": "string"
},
"orgId": {
"description": "Id of the app's organization.",
"type": "string"
},
"orgName": {
"description": "Name of the app's organization.",
"type": [
"string",
"null"
]
},
"permissions": {
"description": "The list of permitted actions, which the authenticated user can perform on this application.",
"items": {
"enum": [
"CAN_DELETE",
"CAN_SHARE",
"CAN_UPDATE",
"CAN_VIEW"
],
"type": "string"
},
"type": "array"
},
"poolUsed": {
"description": "Whether the pool where used for last app deployment.",
"type": "boolean"
},
"realtimePredictionsSupport": {
"description": "Sets whether you can do realtime predictions in the app.",
"type": "boolean",
"x-versionadded": "v2.34"
},
"relatedEntities": {
"description": "Ids of entities, related to app for easy search.",
"properties": {
"isFromExperimentContainer": {
"description": "[deprecated - replaced with is_from_use_case] whether the app was created from an experiment container.",
"type": "boolean"
},
"isFromUseCase": {
"description": "Whether the app was created from an use case.",
"type": "boolean"
},
"isTrialOrganization": {
"description": "Whether the app was created from by trial customer.",
"type": "boolean"
},
"modelId": {
"description": "The id of the associated model.",
"type": "string"
},
"projectId": {
"description": "The id of the associated project.",
"type": "string"
}
},
"type": "object"
},
"updatedAt": {
"description": "The timestamp when the application was updated.",
"type": "string"
},
"userId": {
"description": "The id of the user which created the application.",
"type": "string"
}
},
"required": [
"applicationTemplateType",
"applicationTypeId",
"cloudProvider",
"createdAt",
"createdBy",
"creatorFirstName",
"creatorLastName",
"creatorUserhash",
"datasets",
"deactivationStatusId",
"deploymentIds",
"deploymentName",
"deploymentStatusId",
"deployments",
"hasCustomLogo",
"id",
"modelDeploymentId",
"name",
"orgId",
"permissions",
"poolUsed",
"realtimePredictionsSupport",
"updatedAt",
"userId"
],
"type": "object"
}
Responses
| Status |
Meaning |
Description |
Schema |
| 200 |
OK |
none |
Application |
| 202 |
Accepted |
Dulication has successfully started. See the Location header. |
None |
| 403 |
Forbidden |
User does not have permission to launch application of provided type. |
None |
| 404 |
Not Found |
App for duplication was not found |
None |
| 422 |
Unprocessable Entity |
Application could not be created with the given input. |
None |
Get A List Of Users, Groups And Organizations by application ID
Operation path: GET /api/v2/applications/{applicationId}/sharedRoles/
Authentication requirements: BearerAuth
Get a list of users, groups and organizations that have an access to this application.
Parameters
| Name |
In |
Type |
Required |
Description |
| limit |
query |
integer |
false |
The number of records to return in the range of 1 to 100 |
| offset |
query |
integer |
false |
The number of records to skip over. Default 0. |
| name |
query |
string |
false |
Only return roles for a user, group or organization with this name |
| id |
query |
string |
false |
Only return roles for a user, group or organization with this id |
| shareRecipientType |
query |
string |
false |
Specify the recipient type, one of 'user', 'group', 'organization' |
| applicationId |
path |
string |
true |
The ID of the application |
Enumerated Values
| Parameter |
Value |
| shareRecipientType |
[user, group, organization] |
Example responses
200 Response
{
"properties": {
"count": {
"description": "The number of items returned on this page.",
"type": "integer"
},
"data": {
"description": "Details about the shared role entries.",
"items": {
"properties": {
"id": {
"description": "The id of the recipient.",
"type": "string"
},
"name": {
"description": "The name of the user, group, or organization.",
"type": "string"
},
"role": {
"description": "The assigned role.",
"enum": [
"OWNER",
"USER",
"CONSUMER",
"EDITOR"
],
"type": "string"
},
"shareRecipientType": {
"description": "The recipient type.",
"enum": [
"user",
"group",
"organization"
],
"type": "string"
}
},
"required": [
"id",
"name",
"role",
"shareRecipientType"
],
"type": "object"
},
"type": "array"
},
"next": {
"description": "The url of the next page (if null, there is no next page).",
"format": "uri",
"type": [
"string",
"null"
]
},
"previous": {
"description": "The url of the previous page (if null, there is no previous page).",
"format": "uri",
"type": [
"string",
"null"
]
},
"totalCount": {
"description": "Number of items matching to the query condition.",
"type": "integer"
}
},
"required": [
"data",
"next",
"previous",
"totalCount"
],
"type": "object"
}
Responses
Share An Application By Application Id by application ID
Operation path: PATCH /api/v2/applications/{applicationId}/sharedRoles/
Authentication requirements: BearerAuth
Share an application with a user, group, or organization.
Body parameter
{
"properties": {
"note": {
"default": "",
"description": "A note to Go with the project share.",
"type": "string"
},
"operation": {
"description": "Name of the action being taken. the only operation is 'updateroles'.",
"enum": [
"updateRoles"
],
"type": "string"
},
"roles": {
"description": "Array of grantaccesscontrol objects., up to maximum 100 objects.",
"items": {
"oneOf": [
{
"properties": {
"role": {
"description": "The role of the recipient on this entity.",
"enum": [
"ADMIN",
"CONSUMER",
"DATA_SCIENTIST",
"EDITOR",
"NO_ROLE",
"OBSERVER",
"OWNER",
"READ_ONLY",
"READ_WRITE",
"USER"
],
"type": "string"
},
"shareRecipientType": {
"description": "Describes the recipient type — one of user, group, organization, or externalapplication.",
"enum": [
"user",
"group",
"organization",
"externalApplication"
],
"type": "string"
},
"username": {
"description": "Username of the user to update the access role for.",
"type": "string"
}
},
"required": [
"role",
"shareRecipientType",
"username"
],
"type": "object"
},
{
"properties": {
"id": {
"description": "The id of the recipient.",
"type": "string"
},
"role": {
"description": "The role of the recipient on this entity.",
"enum": [
"ADMIN",
"CONSUMER",
"DATA_SCIENTIST",
"EDITOR",
"NO_ROLE",
"OBSERVER",
"OWNER",
"READ_ONLY",
"READ_WRITE",
"USER"
],
"type": "string"
},
"shareRecipientType": {
"description": "Describes the recipient type — one of user, group, organization, or externalapplication.",
"enum": [
"user",
"group",
"organization",
"externalApplication"
],
"type": "string"
}
},
"required": [
"id",
"role",
"shareRecipientType"
],
"type": "object"
}
]
},
"maxItems": 100,
"minItems": 1,
"type": "array"
},
"sendNotification": {
"default": false,
"description": "Send a notification?",
"type": "boolean"
}
},
"required": [
"operation",
"roles"
],
"type": "object"
}
Parameters
| Name |
In |
Type |
Required |
Description |
| sendNotification |
query |
boolean |
true |
Send a notification |
| note |
query |
string |
true |
A note to go with the project share |
| operation |
query |
string |
true |
Name of the action being taken, only 'updateRoles' is supported |
| roles |
query |
array[object] |
true |
Role objects, may contain up to 100 per request |
| applicationId |
path |
string |
true |
The ID of the application |
| body |
body |
ApplicationSharingUpdateOrRemove |
false |
none |
Responses
| Status |
Meaning |
Description |
Schema |
| 200 |
OK |
none |
None |
| 204 |
No Content |
The roles updated successfully |
None |
| 422 |
Unprocessable Entity |
The request was formatted improperly. |
None |
Get Application User Role By Application Id by application ID
Operation path: GET /api/v2/applications/{applicationId}/userRole/
Authentication requirements: BearerAuth
Get application user role.
Parameters
| Name |
In |
Type |
Required |
Description |
| applicationId |
path |
string |
true |
The ID of the application |
Example responses
200 Response
{
"properties": {
"role": {
"description": "The role of the user on this entity.",
"type": "string"
}
},
"required": [
"role"
],
"type": "object"
}
Responses
| Status |
Meaning |
Description |
Schema |
| 200 |
OK |
user's role on application entity, taking into account RBAC, groups and organization. |
ApplicationUserRoleResponse |
Retrieve Available Code Snippets
Operation path: GET /api/v2/codeSnippets/
Authentication requirements: BearerAuth
Retrieve a list of available code snippets for the given parameters.
Parameters
| Name |
In |
Type |
Required |
Description |
| templateType |
query |
string |
true |
The selected template type the generated snippet or notebook should be for (i.e. dataset, model, etc.). |
| language |
query |
string |
true |
The selected language the generated snippet or notebook should be written in. |
| filters |
query |
string |
false |
Optional comma separated list of sub filters to limit the returned notebooks. |
Enumerated Values
| Parameter |
Value |
| templateType |
[model, prediction, workload] |
| language |
[curl, powershell, python, qlik] |
Example responses
200 Response
{
"properties": {
"codeSnippets": {
"description": "A list of the available snippets for a given language and template type.",
"items": {
"properties": {
"description": {
"description": "The descriptive text to be displayed in the ui.",
"maxLength": 255,
"minLength": 1,
"type": "string"
},
"snippetId": {
"description": "The id of this snippet.",
"maxLength": 255,
"minLength": 1,
"type": "string"
},
"templating": {
"description": "A list of templating variables that will be used in the snippet.",
"items": {
"type": "string"
},
"maxItems": 255,
"type": "array"
},
"title": {
"description": "The title of the snippet.",
"maxLength": 255,
"minLength": 1,
"type": "string"
}
},
"required": [
"description",
"snippetId",
"templating",
"title"
],
"type": "object",
"x-versionadded": "v2.35"
},
"maxItems": 22,
"type": "array"
}
},
"required": [
"codeSnippets"
],
"type": "object",
"x-versionadded": "v2.35"
}
Responses
Retrieve A Code Snippet
Operation path: POST /api/v2/codeSnippets/
Authentication requirements: BearerAuth
Retrieve a code snippet to be displayed in the UI.
Body parameter
{
"properties": {
"config": {
"description": "Template type specific configuration used to generate a snippet or notebook.",
"oneOf": [
{
"properties": {
"modelId": {
"description": "The selected model id.",
"type": "string"
},
"projectId": {
"description": "The selected project id.",
"type": "string"
},
"showSecrets": {
"default": "False",
"description": "If true, the datarobot_key and datarobot_api_key will be available in the context.",
"enum": [
"false",
"False",
"true",
"True"
],
"type": "string"
}
},
"required": [
"modelId",
"projectId"
],
"type": "object",
"x-versionadded": "v2.35"
},
{
"properties": {
"cliScript": {
"default": true,
"description": "When combined with is_standalone, a true value returns an example cli run script for a snippet, while a false value returns an example executable script.",
"type": "boolean",
"x-versionadded": "v2.35"
},
"deploymentId": {
"description": "The selected deployment id.",
"type": "string"
},
"isBatchPrediction": {
"default": true,
"description": "If true, returns snippet that can be used to make batch predictions. not valid with time series projects.",
"type": "boolean"
},
"isLowLatencyPrediction": {
"default": false,
"description": "If true, returns snippet that can be used to make low latency predictions.valid for feature discovery projects.",
"type": "boolean"
},
"isStandalone": {
"default": false,
"description": "If true, returns an example script for a snippet.",
"type": "boolean"
},
"showSecrets": {
"default": false,
"description": "If true, the datarobot_key and datrobot_api_key will be available in the context.",
"type": "boolean"
},
"testMode": {
"default": false,
"description": "Generate a snippet with mocked information.",
"type": "boolean"
},
"withApiClient": {
"default": true,
"description": "Instead of raw Python code in the example, show a snippet using the datarobot Python API client.",
"type": "boolean"
}
},
"required": [
"deploymentId"
],
"type": "object",
"x-versionadded": "v2.35"
},
{
"properties": {
"showSecrets": {
"default": "False",
"description": "If true, the datarobot_key and datarobot_api_key will be available in the context.",
"enum": [
"false",
"False",
"true",
"True"
],
"type": "string"
},
"workloadId": {
"description": "The selected workload id.",
"type": "string"
}
},
"required": [
"workloadId"
],
"type": "object",
"x-versionadded": "v2.41"
}
]
},
"language": {
"description": "The selected language the generated snippet or notebook should be written in.",
"enum": [
"curl",
"powershell",
"python",
"qlik"
],
"type": "string"
},
"snippetId": {
"description": "The selected snippet to be returned to the user. this field is optional for prediction snippets.",
"maxLength": 255,
"minLength": 1,
"type": "string"
},
"templateType": {
"description": "The selected template type the generated snippet or notebook should be for (i.e. dataset, model, etc.).",
"enum": [
"model",
"prediction",
"workload"
],
"type": "string"
}
},
"required": [
"config",
"language",
"templateType"
],
"type": "object",
"x-versionadded": "v2.35"
}
Parameters
Example responses
200 Response
{
"properties": {
"codeSnippet": {
"description": "A utf-8 encoded code snippet generated for the user.",
"type": "string"
},
"snippetId": {
"description": "The selected snippet to be returned to the user.",
"type": "string"
}
},
"required": [
"codeSnippet",
"snippetId"
],
"type": "object",
"x-versionadded": "v2.35"
}
Responses
Create Download (no_code_applications)
Operation path: POST /api/v2/codeSnippets/download/
Authentication requirements: BearerAuth
Retrieve a code snippet to be displayed in the UI.
Body parameter
{
"properties": {
"config": {
"description": "Template type specific configuration used to generate a snippet or notebook.",
"oneOf": [
{
"properties": {
"modelId": {
"description": "The selected model id.",
"type": "string"
},
"projectId": {
"description": "The selected project id.",
"type": "string"
},
"showSecrets": {
"default": "False",
"description": "If true, the datarobot_key and datarobot_api_key will be available in the context.",
"enum": [
"false",
"False",
"true",
"True"
],
"type": "string"
}
},
"required": [
"modelId",
"projectId"
],
"type": "object",
"x-versionadded": "v2.35"
},
{
"properties": {
"cliScript": {
"default": true,
"description": "When combined with is_standalone, a true value returns an example cli run script for a snippet, while a false value returns an example executable script.",
"type": "boolean",
"x-versionadded": "v2.35"
},
"deploymentId": {
"description": "The selected deployment id.",
"type": "string"
},
"isBatchPrediction": {
"default": true,
"description": "If true, returns snippet that can be used to make batch predictions. not valid with time series projects.",
"type": "boolean"
},
"isLowLatencyPrediction": {
"default": false,
"description": "If true, returns snippet that can be used to make low latency predictions.valid for feature discovery projects.",
"type": "boolean"
},
"isStandalone": {
"default": false,
"description": "If true, returns an example script for a snippet.",
"type": "boolean"
},
"showSecrets": {
"default": false,
"description": "If true, the datarobot_key and datrobot_api_key will be available in the context.",
"type": "boolean"
},
"testMode": {
"default": false,
"description": "Generate a snippet with mocked information.",
"type": "boolean"
},
"withApiClient": {
"default": true,
"description": "Instead of raw Python code in the example, show a snippet using the datarobot Python API client.",
"type": "boolean"
}
},
"required": [
"deploymentId"
],
"type": "object",
"x-versionadded": "v2.35"
},
{
"properties": {
"showSecrets": {
"default": "False",
"description": "If true, the datarobot_key and datarobot_api_key will be available in the context.",
"enum": [
"false",
"False",
"true",
"True"
],
"type": "string"
},
"workloadId": {
"description": "The selected workload id.",
"type": "string"
}
},
"required": [
"workloadId"
],
"type": "object",
"x-versionadded": "v2.41"
}
]
},
"language": {
"description": "The selected language the generated snippet or notebook should be written in.",
"enum": [
"curl",
"powershell",
"python",
"qlik"
],
"type": "string"
},
"snippetId": {
"description": "The selected snippet to be returned to the user. this field is optional for prediction snippets.",
"maxLength": 255,
"minLength": 1,
"type": "string"
},
"templateType": {
"description": "The selected template type the generated snippet or notebook should be for (i.e. dataset, model, etc.).",
"enum": [
"model",
"prediction",
"workload"
],
"type": "string"
}
},
"required": [
"config",
"language",
"templateType"
],
"type": "object",
"x-versionadded": "v2.35"
}
Parameters
Responses
| Status |
Meaning |
Description |
Schema |
| 200 |
OK |
The code snippet file of the selected code snippet. |
None |
Schemas
AddDeploymentToApplication
{
"properties": {
"linkName": {
"description": "Internal name of deployment to match in the application.",
"type": "string"
},
"modelDeploymentId": {
"description": "The id of the model deployment to link to the application.",
"type": "string"
}
},
"required": [
"modelDeploymentId"
],
"type": "object"
}
Properties
| Name |
Type |
Required |
Restrictions |
Description |
| linkName |
string |
false |
|
Internal name of deployment to match in the application. |
| modelDeploymentId |
string |
true |
|
The id of the model deployment to link to the application. |
Application
{
"properties": {
"applicationTemplateType": {
"description": "Application template type, purpose.",
"type": [
"string",
"null"
]
},
"applicationTypeId": {
"description": "The id of the type of the application.",
"type": "string"
},
"cloudProvider": {
"description": "The host of this application.",
"type": "string"
},
"createdAt": {
"description": "The timestamp when the application was created.",
"type": "string"
},
"createdBy": {
"description": "The username of who created the application.",
"type": [
"string",
"null"
]
},
"creatorFirstName": {
"description": "Application creator first name.",
"type": [
"string",
"null"
]
},
"creatorLastName": {
"description": "Application creator last name.",
"type": [
"string",
"null"
]
},
"creatorUserhash": {
"description": "Application creator userhash.",
"type": [
"string",
"null"
]
},
"datasets": {
"description": "The list of datasets ids associated with the application.",
"items": {
"type": "string"
},
"type": "array"
},
"deactivationStatusId": {
"description": "The id of the status object to track the asynchronous app deactivation process status. will be null if the app was never deactivated.",
"type": [
"string",
"null"
]
},
"deploymentIds": {
"description": "A list of deployment ids for this app.",
"items": {
"description": "The ID of one deployment",
"type": "string"
},
"type": "array"
},
"deploymentName": {
"description": "Name of the deployment.",
"type": [
"string",
"null"
]
},
"deploymentStatusId": {
"description": "The id of the status object to track the asynchronous deployment process status.",
"type": "string"
},
"deployments": {
"description": "A list of deployment details.",
"items": {
"properties": {
"deploymentId": {
"description": "The id of the deployment.",
"type": "string"
},
"referenceName": {
"description": "The reference name of the deployment.",
"type": "string"
}
},
"required": [
"deploymentId",
"referenceName"
],
"type": "object"
},
"type": "array"
},
"description": {
"description": "A description of the application.",
"type": "string"
},
"hasCustomLogo": {
"description": "Whether the app has a custom logo.",
"type": "boolean"
},
"id": {
"description": "The id of the created application.",
"type": "string"
},
"modelDeploymentId": {
"description": "The id of the associated model deployment.",
"type": "string"
},
"name": {
"description": "The name of the application.",
"type": "string"
},
"orgId": {
"description": "Id of the app's organization.",
"type": "string"
},
"orgName": {
"description": "Name of the app's organization.",
"type": [
"string",
"null"
]
},
"permissions": {
"description": "The list of permitted actions, which the authenticated user can perform on this application.",
"items": {
"enum": [
"CAN_DELETE",
"CAN_SHARE",
"CAN_UPDATE",
"CAN_VIEW"
],
"type": "string"
},
"type": "array"
},
"poolUsed": {
"description": "Whether the pool where used for last app deployment.",
"type": "boolean"
},
"realtimePredictionsSupport": {
"description": "Sets whether you can do realtime predictions in the app.",
"type": "boolean",
"x-versionadded": "v2.34"
},
"relatedEntities": {
"description": "Ids of entities, related to app for easy search.",
"properties": {
"isFromExperimentContainer": {
"description": "[deprecated - replaced with is_from_use_case] whether the app was created from an experiment container.",
"type": "boolean"
},
"isFromUseCase": {
"description": "Whether the app was created from an use case.",
"type": "boolean"
},
"isTrialOrganization": {
"description": "Whether the app was created from by trial customer.",
"type": "boolean"
},
"modelId": {
"description": "The id of the associated model.",
"type": "string"
},
"projectId": {
"description": "The id of the associated project.",
"type": "string"
}
},
"type": "object"
},
"updatedAt": {
"description": "The timestamp when the application was updated.",
"type": "string"
},
"userId": {
"description": "The id of the user which created the application.",
"type": "string"
}
},
"required": [
"applicationTemplateType",
"applicationTypeId",
"cloudProvider",
"createdAt",
"createdBy",
"creatorFirstName",
"creatorLastName",
"creatorUserhash",
"datasets",
"deactivationStatusId",
"deploymentIds",
"deploymentName",
"deploymentStatusId",
"deployments",
"hasCustomLogo",
"id",
"modelDeploymentId",
"name",
"orgId",
"permissions",
"poolUsed",
"realtimePredictionsSupport",
"updatedAt",
"userId"
],
"type": "object"
}
Properties
| Name |
Type |
Required |
Restrictions |
Description |
| applicationTemplateType |
string,null |
true |
|
Application template type, purpose. |
| applicationTypeId |
string |
true |
|
The id of the type of the application. |
| cloudProvider |
string |
true |
|
The host of this application. |
| createdAt |
string |
true |
|
The timestamp when the application was created. |
| createdBy |
string,null |
true |
|
The username of who created the application. |
| creatorFirstName |
string,null |
true |
|
Application creator first name. |
| creatorLastName |
string,null |
true |
|
Application creator last name. |
| creatorUserhash |
string,null |
true |
|
Application creator userhash. |
| datasets |
[string] |
true |
|
The list of datasets ids associated with the application. |
| deactivationStatusId |
string,null |
true |
|
The id of the status object to track the asynchronous app deactivation process status. will be null if the app was never deactivated. |
| deploymentIds |
[string] |
true |
|
A list of deployment ids for this app. |
| deploymentName |
string,null |
true |
|
Name of the deployment. |
| deploymentStatusId |
string |
true |
|
The id of the status object to track the asynchronous deployment process status. |
| deployments |
[ApplicationDeployment] |
true |
|
A list of deployment details. |
| description |
string |
false |
|
A description of the application. |
| hasCustomLogo |
boolean |
true |
|
Whether the app has a custom logo. |
| id |
string |
true |
|
The id of the created application. |
| modelDeploymentId |
string |
true |
|
The id of the associated model deployment. |
| name |
string |
true |
|
The name of the application. |
| orgId |
string |
true |
|
Id of the app's organization. |
| orgName |
string,null |
false |
|
Name of the app's organization. |
| permissions |
[string] |
true |
|
The list of permitted actions, which the authenticated user can perform on this application. |
| poolUsed |
boolean |
true |
|
Whether the pool where used for last app deployment. |
| realtimePredictionsSupport |
boolean |
true |
|
Sets whether you can do realtime predictions in the app. |
| relatedEntities |
ApplicationRelatedEntities |
false |
|
Ids of entities, related to app for easy search. |
| updatedAt |
string |
true |
|
The timestamp when the application was updated. |
| userId |
string |
true |
|
The id of the user which created the application. |
ApplicationAccessControlData
{
"properties": {
"canShare": {
"description": "Whether this user can share with other users.",
"type": "boolean"
},
"role": {
"description": "The role of the user on this application.",
"type": "string"
},
"userId": {
"description": "The id of the user.",
"type": "string"
},
"username": {
"description": "Username of a user with access to this application.",
"type": "string"
}
},
"required": [
"canShare",
"role",
"userId",
"username"
],
"type": "object"
}
Properties
| Name |
Type |
Required |
Restrictions |
Description |
| canShare |
boolean |
true |
|
Whether this user can share with other users. |
| role |
string |
true |
|
The role of the user on this application. |
| userId |
string |
true |
|
The id of the user. |
| username |
string |
true |
|
Username of a user with access to this application. |
ApplicationAccessControlList
{
"properties": {
"count": {
"description": "The number of items returned on this page.",
"type": "integer"
},
"data": {
"description": "An array of accesscontroldata objects.",
"items": {
"properties": {
"canShare": {
"description": "Whether this user can share with other users.",
"type": "boolean"
},
"role": {
"description": "The role of the user on this application.",
"type": "string"
},
"userId": {
"description": "The id of the user.",
"type": "string"
},
"username": {
"description": "Username of a user with access to this application.",
"type": "string"
}
},
"required": [
"canShare",
"role",
"userId",
"username"
],
"type": "object"
},
"type": "array"
},
"next": {
"description": "The url of the next page (if null, there is no next page).",
"format": "uri",
"type": [
"string",
"null"
]
},
"previous": {
"description": "The url of the previous page (if null, there is no previous page).",
"format": "uri",
"type": [
"string",
"null"
]
}
},
"required": [
"data",
"next",
"previous"
],
"type": "object"
}
Properties
| Name |
Type |
Required |
Restrictions |
Description |
| count |
integer |
false |
|
The number of items returned on this page. |
| data |
[ApplicationAccessControlData] |
true |
|
An array of accesscontroldata objects. |
| next |
string,null(uri) |
true |
|
The url of the next page (if null, there is no next page). |
| previous |
string,null(uri) |
true |
|
The url of the previous page (if null, there is no previous page). |
ApplicationAccessControlUpdateRequest
{
"properties": {
"data": {
"description": "An array of accesscontrolpermissionvalidator objects.",
"items": {
"properties": {
"role": {
"description": "The role to grant to the user, or \"\" (empty string) to remove the users access.",
"enum": [
"CONSUMER",
"EDITOR",
"OWNER",
""
],
"type": "string"
},
"username": {
"description": "The username of the user to modify access for.",
"type": "string"
}
},
"required": [
"role",
"username"
],
"type": "object"
},
"type": "array"
},
"permissions": {
"description": "The list of permission objects describing which users to modify access for.",
"items": {
"properties": {
"role": {
"description": "The role to grant to the user, or \"\" (empty string) to remove the users access.",
"enum": [
"CONSUMER",
"EDITOR",
"OWNER",
""
],
"type": "string"
},
"username": {
"description": "The username of the user to modify access for.",
"type": "string"
}
},
"required": [
"role",
"username"
],
"type": "object"
},
"type": "array"
}
},
"required": [
"data"
],
"type": "object"
}
Properties
ApplicationAccessPermission
{
"properties": {
"role": {
"description": "The role to grant to the user, or \"\" (empty string) to remove the users access.",
"enum": [
"CONSUMER",
"EDITOR",
"OWNER",
""
],
"type": "string"
},
"username": {
"description": "The username of the user to modify access for.",
"type": "string"
}
},
"required": [
"role",
"username"
],
"type": "object"
}
Properties
| Name |
Type |
Required |
Restrictions |
Description |
| role |
string |
true |
|
The role to grant to the user, or "" (empty string) to remove the users access. |
| username |
string |
true |
|
The username of the user to modify access for. |
Enumerated Values
| Property |
Value |
| role |
[CONSUMER, EDITOR, OWNER, ``] |
ApplicationCanCreate
{
"properties": {
"experimentContainerId": {
"description": "The id of the experiment container (for apps from an experiment container.",
"type": "string"
},
"projectId": {
"description": "The id of the project (for apps from leaderboard).",
"type": "string"
},
"sourceId": {
"description": "The id of the source.",
"type": "string"
},
"sourceType": {
"description": "Whether the app is from a deployment or a project.",
"enum": [
"deployment",
"model"
],
"type": "string"
}
},
"required": [
"sourceId",
"sourceType"
],
"type": "object"
}
Properties
| Name |
Type |
Required |
Restrictions |
Description |
| experimentContainerId |
string |
false |
|
The id of the experiment container (for apps from an experiment container. |
| projectId |
string |
false |
|
The id of the project (for apps from leaderboard). |
| sourceId |
string |
true |
|
The id of the source. |
| sourceType |
string |
true |
|
Whether the app is from a deployment or a project. |
Enumerated Values
| Property |
Value |
| sourceType |
[deployment, model] |
ApplicationCreate
{
"properties": {
"applicationTypeId": {
"description": "The id of the of application to be created.",
"type": "string"
},
"authenticationType": {
"default": "invitedUsersOnly",
"description": "Authentication type.",
"enum": [
"invitedUsersOnly",
"token"
],
"type": [
"string",
"null"
]
},
"cloudProvider": {
"default": "drcloud",
"description": "The optional cloud provider.",
"enum": [
"drcloud",
"heroku"
],
"type": "string"
},
"description": {
"description": "The description of the application.",
"maxLength": 512,
"type": [
"string",
"null"
]
},
"experimentContainerId": {
"description": "[deprecated - replaced with use_case_id] the id of the experiment container associated with the application.",
"type": "string"
},
"modelDeploymentId": {
"description": "The id of the model deployment. the deployed application will use this deployment to make predictions.",
"type": "string"
},
"name": {
"description": "The name of the app.",
"maxLength": 512,
"minLength": 1,
"type": "string"
},
"purpose": {
"description": "An optional field to describe the purpose of the application.",
"type": [
"string",
"null"
]
},
"sources": {
"description": "The sources for this application.",
"items": {
"properties": {
"info": {
"description": "Information about the deployment or the model.",
"oneOf": [
{
"properties": {
"modelDeploymentId": {
"description": "The id of the model deployment.",
"type": "string"
}
},
"required": [
"modelDeploymentId"
],
"type": "object"
},
{
"properties": {
"modelId": {
"description": "The id of the model.",
"type": "string"
},
"predictionThreshold": {
"description": "Threshold used for binary classification in predictions.",
"maximum": 1,
"minimum": 0,
"type": "number"
},
"projectId": {
"description": "The id of the project.",
"type": "string"
}
},
"required": [
"modelId",
"projectId"
],
"type": "object"
}
]
},
"name": {
"description": "The name of this source.",
"type": "string"
},
"source": {
"description": "Information about the source for this application.",
"enum": [
"deployment",
"model"
],
"type": "string"
}
},
"required": [
"info",
"source"
],
"type": "object"
},
"type": "array"
},
"useCaseId": {
"description": "The id of the use case associated with the application.",
"type": "string"
}
},
"type": "object"
}
Properties
| Name |
Type |
Required |
Restrictions |
Description |
| applicationTypeId |
string |
false |
|
The id of the of application to be created. |
| authenticationType |
string,null |
false |
|
Authentication type. |
| cloudProvider |
string |
false |
|
The optional cloud provider. |
| description |
string,null |
false |
maxLength: 512
|
The description of the application. |
| experimentContainerId |
string |
false |
|
[deprecated - replaced with use_case_id] the id of the experiment container associated with the application. |
| modelDeploymentId |
string |
false |
|
The id of the model deployment. the deployed application will use this deployment to make predictions. |
| name |
string |
false |
maxLength: 512 minLength: 1 minLength: 1
|
The name of the app. |
| purpose |
string,null |
false |
|
An optional field to describe the purpose of the application. |
| sources |
[ApplicationCreateSources] |
false |
|
The sources for this application. |
| useCaseId |
string |
false |
|
The id of the use case associated with the application. |
Enumerated Values
| Property |
Value |
| authenticationType |
[invitedUsersOnly, token] |
| cloudProvider |
[drcloud, heroku] |
ApplicationCreateSources
{
"properties": {
"info": {
"description": "Information about the deployment or the model.",
"oneOf": [
{
"properties": {
"modelDeploymentId": {
"description": "The id of the model deployment.",
"type": "string"
}
},
"required": [
"modelDeploymentId"
],
"type": "object"
},
{
"properties": {
"modelId": {
"description": "The id of the model.",
"type": "string"
},
"predictionThreshold": {
"description": "Threshold used for binary classification in predictions.",
"maximum": 1,
"minimum": 0,
"type": "number"
},
"projectId": {
"description": "The id of the project.",
"type": "string"
}
},
"required": [
"modelId",
"projectId"
],
"type": "object"
}
]
},
"name": {
"description": "The name of this source.",
"type": "string"
},
"source": {
"description": "Information about the source for this application.",
"enum": [
"deployment",
"model"
],
"type": "string"
}
},
"required": [
"info",
"source"
],
"type": "object"
}
Properties
| Name |
Type |
Required |
Restrictions |
Description |
| info |
any |
true |
|
Information about the deployment or the model. |
oneOf
xor
continued
| Name |
Type |
Required |
Restrictions |
Description |
| name |
string |
false |
|
The name of this source. |
| source |
string |
true |
|
Information about the source for this application. |
Enumerated Values
| Property |
Value |
| source |
[deployment, model] |
ApplicationDeployment
{
"properties": {
"deploymentId": {
"description": "The id of the deployment.",
"type": "string"
},
"referenceName": {
"description": "The reference name of the deployment.",
"type": "string"
}
},
"required": [
"deploymentId",
"referenceName"
],
"type": "object"
}
Properties
| Name |
Type |
Required |
Restrictions |
Description |
| deploymentId |
string |
true |
|
The id of the deployment. |
| referenceName |
string |
true |
|
The reference name of the deployment. |
ApplicationDeploymentSource
{
"properties": {
"modelDeploymentId": {
"description": "The id of the model deployment.",
"type": "string"
}
},
"required": [
"modelDeploymentId"
],
"type": "object"
}
Properties
| Name |
Type |
Required |
Restrictions |
Description |
| modelDeploymentId |
string |
true |
|
The id of the model deployment. |
ApplicationDuplicate
{
"properties": {
"authenticationType": {
"default": "invitedUsersOnly",
"description": "Authentication type.",
"enum": [
"invitedUsersOnly",
"token"
],
"type": [
"string",
"null"
]
},
"description": {
"description": "The description of the application.",
"maxLength": 512,
"type": [
"string",
"null"
]
},
"duplicatePredictions": {
"default": false,
"description": "Import all predictions from the source application.",
"type": "boolean"
},
"name": {
"description": "The name of the app.",
"maxLength": 512,
"minLength": 1,
"type": "string"
}
},
"type": "object"
}
Properties
| Name |
Type |
Required |
Restrictions |
Description |
| authenticationType |
string,null |
false |
|
Authentication type. |
| description |
string,null |
false |
maxLength: 512
|
The description of the application. |
| duplicatePredictions |
boolean |
false |
|
Import all predictions from the source application. |
| name |
string |
false |
maxLength: 512 minLength: 1 minLength: 1
|
The name of the app. |
Enumerated Values
| Property |
Value |
| authenticationType |
[invitedUsersOnly, token] |
ApplicationList
{
"properties": {
"count": {
"description": "The number of items returned on this page.",
"type": "integer"
},
"data": {
"description": "An array of application objects.",
"items": {
"properties": {
"applicationTemplateType": {
"description": "Application template type, purpose.",
"type": [
"string",
"null"
]
},
"applicationTypeId": {
"description": "The id of the type of the application.",
"type": "string"
},
"cloudProvider": {
"description": "The host of this application.",
"type": "string"
},
"createdAt": {
"description": "The timestamp when the application was created.",
"type": "string"
},
"createdBy": {
"description": "The username of who created the application.",
"type": [
"string",
"null"
]
},
"creatorFirstName": {
"description": "Application creator first name.",
"type": [
"string",
"null"
]
},
"creatorLastName": {
"description": "Application creator last name.",
"type": [
"string",
"null"
]
},
"creatorUserhash": {
"description": "Application creator userhash.",
"type": [
"string",
"null"
]
},
"datasets": {
"description": "The list of datasets ids associated with the application.",
"items": {
"type": "string"
},
"type": "array"
},
"deactivationStatusId": {
"description": "The id of the status object to track the asynchronous app deactivation process status. will be null if the app was never deactivated.",
"type": [
"string",
"null"
]
},
"deploymentIds": {
"description": "A list of deployment ids for this app.",
"items": {
"description": "The ID of one deployment",
"type": "string"
},
"type": "array"
},
"deploymentName": {
"description": "Name of the deployment.",
"type": [
"string",
"null"
]
},
"deploymentStatusId": {
"description": "The id of the status object to track the asynchronous deployment process status.",
"type": "string"
},
"deployments": {
"description": "A list of deployment details.",
"items": {
"properties": {
"deploymentId": {
"description": "The id of the deployment.",
"type": "string"
},
"referenceName": {
"description": "The reference name of the deployment.",
"type": "string"
}
},
"required": [
"deploymentId",
"referenceName"
],
"type": "object"
},
"type": "array"
},
"description": {
"description": "A description of the application.",
"type": "string"
},
"hasCustomLogo": {
"description": "Whether the app has a custom logo.",
"type": "boolean"
},
"id": {
"description": "The id of the created application.",
"type": "string"
},
"modelDeploymentId": {
"description": "The id of the associated model deployment.",
"type": "string"
},
"name": {
"description": "The name of the application.",
"type": "string"
},
"orgId": {
"description": "Id of the app's organization.",
"type": "string"
},
"orgName": {
"description": "Name of the app's organization.",
"type": [
"string",
"null"
]
},
"permissions": {
"description": "The list of permitted actions, which the authenticated user can perform on this application.",
"items": {
"enum": [
"CAN_DELETE",
"CAN_SHARE",
"CAN_UPDATE",
"CAN_VIEW"
],
"type": "string"
},
"type": "array"
},
"poolUsed": {
"description": "Whether the pool where used for last app deployment.",
"type": "boolean"
},
"realtimePredictionsSupport": {
"description": "Sets whether you can do realtime predictions in the app.",
"type": "boolean",
"x-versionadded": "v2.34"
},
"relatedEntities": {
"description": "Ids of entities, related to app for easy search.",
"properties": {
"isFromExperimentContainer": {
"description": "[deprecated - replaced with is_from_use_case] whether the app was created from an experiment container.",
"type": "boolean"
},
"isFromUseCase": {
"description": "Whether the app was created from an use case.",
"type": "boolean"
},
"isTrialOrganization": {
"description": "Whether the app was created from by trial customer.",
"type": "boolean"
},
"modelId": {
"description": "The id of the associated model.",
"type": "string"
},
"projectId": {
"description": "The id of the associated project.",
"type": "string"
}
},
"type": "object"
},
"updatedAt": {
"description": "The timestamp when the application was updated.",
"type": "string"
},
"userId": {
"description": "The id of the user which created the application.",
"type": "string"
}
},
"required": [
"applicationTemplateType",
"applicationTypeId",
"cloudProvider",
"createdAt",
"createdBy",
"creatorFirstName",
"creatorLastName",
"creatorUserhash",
"datasets",
"deactivationStatusId",
"deploymentIds",
"deploymentName",
"deploymentStatusId",
"deployments",
"hasCustomLogo",
"id",
"modelDeploymentId",
"name",
"orgId",
"permissions",
"poolUsed",
"realtimePredictionsSupport",
"updatedAt",
"userId"
],
"type": "object"
},
"type": "array"
},
"next": {
"description": "The url of the next page (if null, there is no next page).",
"format": "uri",
"type": [
"string",
"null"
]
},
"previous": {
"description": "The url of the previous page (if null, there is no previous page).",
"format": "uri",
"type": [
"string",
"null"
]
}
},
"required": [
"data",
"next",
"previous"
],
"type": "object"
}
Properties
| Name |
Type |
Required |
Restrictions |
Description |
| count |
integer |
false |
|
The number of items returned on this page. |
| data |
[Application] |
true |
|
An array of application objects. |
| next |
string,null(uri) |
true |
|
The url of the next page (if null, there is no next page). |
| previous |
string,null(uri) |
true |
|
The url of the previous page (if null, there is no previous page). |
ApplicationModelDeploymentParam
{
"properties": {
"applicationId": {
"description": "The id of the application.",
"type": "string"
},
"modelDeploymentId": {
"description": "The id of the model deployment.",
"type": "string"
}
},
"required": [
"applicationId",
"modelDeploymentId"
],
"type": "object"
}
Properties
| Name |
Type |
Required |
Restrictions |
Description |
| applicationId |
string |
true |
|
The id of the application. |
| modelDeploymentId |
string |
true |
|
The id of the model deployment. |
ApplicationModelSource
{
"properties": {
"modelId": {
"description": "The id of the model.",
"type": "string"
},
"predictionThreshold": {
"description": "Threshold used for binary classification in predictions.",
"maximum": 1,
"minimum": 0,
"type": "number"
},
"projectId": {
"description": "The id of the project.",
"type": "string"
}
},
"required": [
"modelId",
"projectId"
],
"type": "object"
}
Properties
| Name |
Type |
Required |
Restrictions |
Description |
| modelId |
string |
true |
|
The id of the model. |
| predictionThreshold |
number |
false |
maximum: 1 minimum: 0
|
Threshold used for binary classification in predictions. |
| projectId |
string |
true |
|
The id of the project. |
ApplicationNameAndDescription
{
"properties": {
"description": {
"description": "The description of the application.",
"maxLength": 512,
"type": [
"string",
"null"
]
},
"name": {
"description": "The name of the app.",
"maxLength": 512,
"minLength": 1,
"type": "string"
}
},
"type": "object"
}
Properties
| Name |
Type |
Required |
Restrictions |
Description |
| description |
string,null |
false |
maxLength: 512
|
The description of the application. |
| name |
string |
false |
maxLength: 512 minLength: 1 minLength: 1
|
The name of the app. |
ApplicationParam
{
"properties": {
"applicationId": {
"description": "The id of the application.",
"type": "string"
}
},
"required": [
"applicationId"
],
"type": "object"
}
Properties
| Name |
Type |
Required |
Restrictions |
Description |
| applicationId |
string |
true |
|
The id of the application. |
{
"description": "Ids of entities, related to app for easy search.",
"properties": {
"isFromExperimentContainer": {
"description": "[deprecated - replaced with is_from_use_case] whether the app was created from an experiment container.",
"type": "boolean"
},
"isFromUseCase": {
"description": "Whether the app was created from an use case.",
"type": "boolean"
},
"isTrialOrganization": {
"description": "Whether the app was created from by trial customer.",
"type": "boolean"
},
"modelId": {
"description": "The id of the associated model.",
"type": "string"
},
"projectId": {
"description": "The id of the associated project.",
"type": "string"
}
},
"type": "object"
}
Ids of entities, related to app for easy search.
Properties
| Name |
Type |
Required |
Restrictions |
Description |
| isFromExperimentContainer |
boolean |
false |
|
[deprecated - replaced with is_from_use_case] whether the app was created from an experiment container. |
| isFromUseCase |
boolean |
false |
|
Whether the app was created from an use case. |
| isTrialOrganization |
boolean |
false |
|
Whether the app was created from by trial customer. |
| modelId |
string |
false |
|
The id of the associated model. |
| projectId |
string |
false |
|
The id of the associated project. |
ApplicationRetrieve
{
"properties": {
"applicationTemplateType": {
"description": "Application template type, purpose.",
"type": [
"string",
"null"
]
},
"applicationTypeId": {
"description": "The id of the type of the application.",
"type": "string"
},
"cloudProvider": {
"description": "The host of this application.",
"type": "string"
},
"createdAt": {
"description": "The timestamp when the application was created.",
"type": "string"
},
"createdBy": {
"description": "The username of who created the application.",
"type": [
"string",
"null"
]
},
"creatorFirstName": {
"description": "Application creator first name.",
"type": [
"string",
"null"
]
},
"creatorLastName": {
"description": "Application creator last name.",
"type": [
"string",
"null"
]
},
"creatorUserhash": {
"description": "Application creator userhash.",
"type": [
"string",
"null"
]
},
"datasets": {
"description": "The list of datasets ids associated with the application.",
"items": {
"type": "string"
},
"type": "array"
},
"deactivationStatusId": {
"description": "The id of the status object to track the asynchronous app deactivation process status. will be null if the app was never deactivated.",
"type": [
"string",
"null"
]
},
"deploymentIds": {
"description": "A list of deployment ids for this app.",
"items": {
"description": "The ID of one deployment",
"type": "string"
},
"type": "array"
},
"deploymentName": {
"description": "Name of the deployment.",
"type": [
"string",
"null"
]
},
"deploymentStatusId": {
"description": "The id of the status object to track the asynchronous deployment process status.",
"type": "string"
},
"deployments": {
"description": "A list of deployment details.",
"items": {
"properties": {
"deploymentId": {
"description": "The id of the deployment.",
"type": "string"
},
"referenceName": {
"description": "The reference name of the deployment.",
"type": "string"
}
},
"required": [
"deploymentId",
"referenceName"
],
"type": "object"
},
"type": "array"
},
"description": {
"description": "A description of the application.",
"type": "string"
},
"hasCustomLogo": {
"description": "Whether the app has a custom logo.",
"type": "boolean"
},
"id": {
"description": "The id of the created application.",
"type": "string"
},
"modelDeploymentId": {
"description": "The id of the model deployment. the deployed application will use this deployment to make predictions.",
"type": [
"string",
"null"
]
},
"name": {
"description": "The name of the application.",
"type": "string"
},
"orgId": {
"description": "Id of the app's organization.",
"type": "string"
},
"orgName": {
"description": "Name of the app's organization.",
"type": [
"string",
"null"
]
},
"permissions": {
"description": "The list of permitted actions, which the authenticated user can perform on this application.",
"items": {
"enum": [
"CAN_DELETE",
"CAN_SHARE",
"CAN_UPDATE",
"CAN_VIEW"
],
"type": "string"
},
"type": "array"
},
"poolUsed": {
"description": "Whether the pool where used for last app deployment.",
"type": "boolean"
},
"realtimePredictionsSupport": {
"description": "Sets whether you can do realtime predictions in the app.",
"type": "boolean",
"x-versionadded": "v2.34"
},
"relatedEntities": {
"description": "Ids of entities, related to app for easy search.",
"properties": {
"isFromExperimentContainer": {
"description": "[deprecated - replaced with is_from_use_case] whether the app was created from an experiment container.",
"type": "boolean"
},
"isFromUseCase": {
"description": "Whether the app was created from an use case.",
"type": "boolean"
},
"isTrialOrganization": {
"description": "Whether the app was created from by trial customer.",
"type": "boolean"
},
"modelId": {
"description": "The id of the associated model.",
"type": "string"
},
"projectId": {
"description": "The id of the associated project.",
"type": "string"
}
},
"type": "object"
},
"updatedAt": {
"description": "The timestamp when the application was updated.",
"type": "string"
},
"userId": {
"description": "The id of the user which created the application.",
"type": "string"
}
},
"required": [
"applicationTemplateType",
"applicationTypeId",
"cloudProvider",
"createdAt",
"createdBy",
"creatorFirstName",
"creatorLastName",
"creatorUserhash",
"datasets",
"deactivationStatusId",
"deploymentIds",
"deploymentName",
"deploymentStatusId",
"deployments",
"hasCustomLogo",
"id",
"name",
"orgId",
"permissions",
"poolUsed",
"realtimePredictionsSupport",
"updatedAt",
"userId"
],
"type": "object"
}
Properties
| Name |
Type |
Required |
Restrictions |
Description |
| applicationTemplateType |
string,null |
true |
|
Application template type, purpose. |
| applicationTypeId |
string |
true |
|
The id of the type of the application. |
| cloudProvider |
string |
true |
|
The host of this application. |
| createdAt |
string |
true |
|
The timestamp when the application was created. |
| createdBy |
string,null |
true |
|
The username of who created the application. |
| creatorFirstName |
string,null |
true |
|
Application creator first name. |
| creatorLastName |
string,null |
true |
|
Application creator last name. |
| creatorUserhash |
string,null |
true |
|
Application creator userhash. |
| datasets |
[string] |
true |
|
The list of datasets ids associated with the application. |
| deactivationStatusId |
string,null |
true |
|
The id of the status object to track the asynchronous app deactivation process status. will be null if the app was never deactivated. |
| deploymentIds |
[string] |
true |
|
A list of deployment ids for this app. |
| deploymentName |
string,null |
true |
|
Name of the deployment. |
| deploymentStatusId |
string |
true |
|
The id of the status object to track the asynchronous deployment process status. |
| deployments |
[ApplicationDeployment] |
true |
|
A list of deployment details. |
| description |
string |
false |
|
A description of the application. |
| hasCustomLogo |
boolean |
true |
|
Whether the app has a custom logo. |
| id |
string |
true |
|
The id of the created application. |
| modelDeploymentId |
string,null |
false |
|
The id of the model deployment. the deployed application will use this deployment to make predictions. |
| name |
string |
true |
|
The name of the application. |
| orgId |
string |
true |
|
Id of the app's organization. |
| orgName |
string,null |
false |
|
Name of the app's organization. |
| permissions |
[string] |
true |
|
The list of permitted actions, which the authenticated user can perform on this application. |
| poolUsed |
boolean |
true |
|
Whether the pool where used for last app deployment. |
| realtimePredictionsSupport |
boolean |
true |
|
Sets whether you can do realtime predictions in the app. |
| relatedEntities |
ApplicationRelatedEntities |
false |
|
Ids of entities, related to app for easy search. |
| updatedAt |
string |
true |
|
The timestamp when the application was updated. |
| userId |
string |
true |
|
The id of the user which created the application. |
ApplicationSharedRolesEntry
{
"properties": {
"id": {
"description": "The id of the recipient.",
"type": "string"
},
"name": {
"description": "The name of the user, group, or organization.",
"type": "string"
},
"role": {
"description": "The assigned role.",
"enum": [
"OWNER",
"USER",
"CONSUMER",
"EDITOR"
],
"type": "string"
},
"shareRecipientType": {
"description": "The recipient type.",
"enum": [
"user",
"group",
"organization"
],
"type": "string"
}
},
"required": [
"id",
"name",
"role",
"shareRecipientType"
],
"type": "object"
}
Properties
| Name |
Type |
Required |
Restrictions |
Description |
| id |
string |
true |
|
The id of the recipient. |
| name |
string |
true |
|
The name of the user, group, or organization. |
| role |
string |
true |
|
The assigned role. |
| shareRecipientType |
string |
true |
|
The recipient type. |
Enumerated Values
| Property |
Value |
| role |
[OWNER, USER, CONSUMER, EDITOR] |
| shareRecipientType |
[user, group, organization] |
ApplicationSharedRolesEntryUpdate
{
"properties": {
"id": {
"description": "The id of the recipient.",
"type": "string"
},
"role": {
"description": "The assigned role.",
"enum": [
"OWNER",
"USER",
"CONSUMER",
"NO_ROLE"
],
"type": "string"
},
"shareRecipientType": {
"description": "The recipient type.",
"enum": [
"user",
"group",
"organization"
],
"type": "string"
}
},
"required": [
"id",
"role",
"shareRecipientType"
],
"type": "object"
}
Properties
| Name |
Type |
Required |
Restrictions |
Description |
| id |
string |
true |
|
The id of the recipient. |
| role |
string |
true |
|
The assigned role. |
| shareRecipientType |
string |
true |
|
The recipient type. |
Enumerated Values
| Property |
Value |
| role |
[OWNER, USER, CONSUMER, NO_ROLE] |
| shareRecipientType |
[user, group, organization] |
ApplicationSharedRolesList
{
"properties": {
"count": {
"description": "The number of items returned on this page.",
"type": "integer"
},
"data": {
"description": "Details about the shared role entries.",
"items": {
"properties": {
"id": {
"description": "The id of the recipient.",
"type": "string"
},
"name": {
"description": "The name of the user, group, or organization.",
"type": "string"
},
"role": {
"description": "The assigned role.",
"enum": [
"OWNER",
"USER",
"CONSUMER",
"EDITOR"
],
"type": "string"
},
"shareRecipientType": {
"description": "The recipient type.",
"enum": [
"user",
"group",
"organization"
],
"type": "string"
}
},
"required": [
"id",
"name",
"role",
"shareRecipientType"
],
"type": "object"
},
"type": "array"
},
"next": {
"description": "The url of the next page (if null, there is no next page).",
"format": "uri",
"type": [
"string",
"null"
]
},
"previous": {
"description": "The url of the previous page (if null, there is no previous page).",
"format": "uri",
"type": [
"string",
"null"
]
},
"totalCount": {
"description": "Number of items matching to the query condition.",
"type": "integer"
}
},
"required": [
"data",
"next",
"previous",
"totalCount"
],
"type": "object"
}
Properties
| Name |
Type |
Required |
Restrictions |
Description |
| count |
integer |
false |
|
The number of items returned on this page. |
| data |
[ApplicationSharedRolesEntry] |
true |
|
Details about the shared role entries. |
| next |
string,null(uri) |
true |
|
The url of the next page (if null, there is no next page). |
| previous |
string,null(uri) |
true |
|
The url of the previous page (if null, there is no previous page). |
| totalCount |
integer |
true |
|
Number of items matching to the query condition. |
ApplicationSharingUpdateOrRemove
{
"properties": {
"note": {
"default": "",
"description": "A note to Go with the project share.",
"type": "string"
},
"operation": {
"description": "Name of the action being taken. the only operation is 'updateroles'.",
"enum": [
"updateRoles"
],
"type": "string"
},
"roles": {
"description": "Array of grantaccesscontrol objects., up to maximum 100 objects.",
"items": {
"oneOf": [
{
"properties": {
"role": {
"description": "The role of the recipient on this entity.",
"enum": [
"ADMIN",
"CONSUMER",
"DATA_SCIENTIST",
"EDITOR",
"NO_ROLE",
"OBSERVER",
"OWNER",
"READ_ONLY",
"READ_WRITE",
"USER"
],
"type": "string"
},
"shareRecipientType": {
"description": "Describes the recipient type — one of user, group, organization, or externalapplication.",
"enum": [
"user",
"group",
"organization",
"externalApplication"
],
"type": "string"
},
"username": {
"description": "Username of the user to update the access role for.",
"type": "string"
}
},
"required": [
"role",
"shareRecipientType",
"username"
],
"type": "object"
},
{
"properties": {
"id": {
"description": "The id of the recipient.",
"type": "string"
},
"role": {
"description": "The role of the recipient on this entity.",
"enum": [
"ADMIN",
"CONSUMER",
"DATA_SCIENTIST",
"EDITOR",
"NO_ROLE",
"OBSERVER",
"OWNER",
"READ_ONLY",
"READ_WRITE",
"USER"
],
"type": "string"
},
"shareRecipientType": {
"description": "Describes the recipient type — one of user, group, organization, or externalapplication.",
"enum": [
"user",
"group",
"organization",
"externalApplication"
],
"type": "string"
}
},
"required": [
"id",
"role",
"shareRecipientType"
],
"type": "object"
}
]
},
"maxItems": 100,
"minItems": 1,
"type": "array"
},
"sendNotification": {
"default": false,
"description": "Send a notification?",
"type": "boolean"
}
},
"required": [
"operation",
"roles"
],
"type": "object"
}
Properties
| Name |
Type |
Required |
Restrictions |
Description |
| note |
string |
false |
|
A note to Go with the project share. |
| operation |
string |
true |
|
Name of the action being taken. the only operation is 'updateroles'. |
| roles |
[oneOf] |
true |
maxItems: 100 minItems: 1
|
Array of grantaccesscontrol objects., up to maximum 100 objects. |
oneOf
xor
continued
| Name |
Type |
Required |
Restrictions |
Description |
| sendNotification |
boolean |
false |
|
Send a notification? |
Enumerated Values
| Property |
Value |
| operation |
updateRoles |
ApplicationUserRoleResponse
{
"properties": {
"role": {
"description": "The role of the user on this entity.",
"type": "string"
}
},
"required": [
"role"
],
"type": "object"
}
Properties
| Name |
Type |
Required |
Restrictions |
Description |
| role |
string |
true |
|
The role of the user on this entity. |
CodeSnippetCreate
{
"properties": {
"config": {
"description": "Template type specific configuration used to generate a snippet or notebook.",
"oneOf": [
{
"properties": {
"modelId": {
"description": "The selected model id.",
"type": "string"
},
"projectId": {
"description": "The selected project id.",
"type": "string"
},
"showSecrets": {
"default": "False",
"description": "If true, the datarobot_key and datarobot_api_key will be available in the context.",
"enum": [
"false",
"False",
"true",
"True"
],
"type": "string"
}
},
"required": [
"modelId",
"projectId"
],
"type": "object",
"x-versionadded": "v2.35"
},
{
"properties": {
"cliScript": {
"default": true,
"description": "When combined with is_standalone, a true value returns an example cli run script for a snippet, while a false value returns an example executable script.",
"type": "boolean",
"x-versionadded": "v2.35"
},
"deploymentId": {
"description": "The selected deployment id.",
"type": "string"
},
"isBatchPrediction": {
"default": true,
"description": "If true, returns snippet that can be used to make batch predictions. not valid with time series projects.",
"type": "boolean"
},
"isLowLatencyPrediction": {
"default": false,
"description": "If true, returns snippet that can be used to make low latency predictions.valid for feature discovery projects.",
"type": "boolean"
},
"isStandalone": {
"default": false,
"description": "If true, returns an example script for a snippet.",
"type": "boolean"
},
"showSecrets": {
"default": false,
"description": "If true, the datarobot_key and datrobot_api_key will be available in the context.",
"type": "boolean"
},
"testMode": {
"default": false,
"description": "Generate a snippet with mocked information.",
"type": "boolean"
},
"withApiClient": {
"default": true,
"description": "Instead of raw Python code in the example, show a snippet using the datarobot Python API client.",
"type": "boolean"
}
},
"required": [
"deploymentId"
],
"type": "object",
"x-versionadded": "v2.35"
},
{
"properties": {
"showSecrets": {
"default": "False",
"description": "If true, the datarobot_key and datarobot_api_key will be available in the context.",
"enum": [
"false",
"False",
"true",
"True"
],
"type": "string"
},
"workloadId": {
"description": "The selected workload id.",
"type": "string"
}
},
"required": [
"workloadId"
],
"type": "object",
"x-versionadded": "v2.41"
}
]
},
"language": {
"description": "The selected language the generated snippet or notebook should be written in.",
"enum": [
"curl",
"powershell",
"python",
"qlik"
],
"type": "string"
},
"snippetId": {
"description": "The selected snippet to be returned to the user. this field is optional for prediction snippets.",
"maxLength": 255,
"minLength": 1,
"type": "string"
},
"templateType": {
"description": "The selected template type the generated snippet or notebook should be for (i.e. dataset, model, etc.).",
"enum": [
"model",
"prediction",
"workload"
],
"type": "string"
}
},
"required": [
"config",
"language",
"templateType"
],
"type": "object",
"x-versionadded": "v2.35"
}
Properties
| Name |
Type |
Required |
Restrictions |
Description |
| config |
any |
true |
|
Template type specific configuration used to generate a snippet or notebook. |
oneOf
xor
xor
| Name |
Type |
Required |
Restrictions |
Description |
| » anonymous |
WorkloadSnippet |
false |
|
none |
continued
| Name |
Type |
Required |
Restrictions |
Description |
| language |
string |
true |
|
The selected language the generated snippet or notebook should be written in. |
| snippetId |
string |
false |
maxLength: 255 minLength: 1 minLength: 1
|
The selected snippet to be returned to the user. this field is optional for prediction snippets. |
| templateType |
string |
true |
|
The selected template type the generated snippet or notebook should be for (i.e. dataset, model, etc.). |
Enumerated Values
| Property |
Value |
| language |
[curl, powershell, python, qlik] |
| templateType |
[model, prediction, workload] |
CodeSnippetItem
{
"properties": {
"description": {
"description": "The descriptive text to be displayed in the ui.",
"maxLength": 255,
"minLength": 1,
"type": "string"
},
"snippetId": {
"description": "The id of this snippet.",
"maxLength": 255,
"minLength": 1,
"type": "string"
},
"templating": {
"description": "A list of templating variables that will be used in the snippet.",
"items": {
"type": "string"
},
"maxItems": 255,
"type": "array"
},
"title": {
"description": "The title of the snippet.",
"maxLength": 255,
"minLength": 1,
"type": "string"
}
},
"required": [
"description",
"snippetId",
"templating",
"title"
],
"type": "object",
"x-versionadded": "v2.35"
}
Properties
| Name |
Type |
Required |
Restrictions |
Description |
| description |
string |
true |
maxLength: 255 minLength: 1 minLength: 1
|
The descriptive text to be displayed in the ui. |
| snippetId |
string |
true |
maxLength: 255 minLength: 1 minLength: 1
|
The id of this snippet. |
| templating |
[string] |
true |
maxItems: 255
|
A list of templating variables that will be used in the snippet. |
| title |
string |
true |
maxLength: 255 minLength: 1 minLength: 1
|
The title of the snippet. |
CodeSnippetListResponse
{
"properties": {
"codeSnippets": {
"description": "A list of the available snippets for a given language and template type.",
"items": {
"properties": {
"description": {
"description": "The descriptive text to be displayed in the ui.",
"maxLength": 255,
"minLength": 1,
"type": "string"
},
"snippetId": {
"description": "The id of this snippet.",
"maxLength": 255,
"minLength": 1,
"type": "string"
},
"templating": {
"description": "A list of templating variables that will be used in the snippet.",
"items": {
"type": "string"
},
"maxItems": 255,
"type": "array"
},
"title": {
"description": "The title of the snippet.",
"maxLength": 255,
"minLength": 1,
"type": "string"
}
},
"required": [
"description",
"snippetId",
"templating",
"title"
],
"type": "object",
"x-versionadded": "v2.35"
},
"maxItems": 22,
"type": "array"
}
},
"required": [
"codeSnippets"
],
"type": "object",
"x-versionadded": "v2.35"
}
Properties
| Name |
Type |
Required |
Restrictions |
Description |
| codeSnippets |
[CodeSnippetItem] |
true |
maxItems: 22
|
A list of the available snippets for a given language and template type. |
CodeSnippetResponse
{
"properties": {
"codeSnippet": {
"description": "A utf-8 encoded code snippet generated for the user.",
"type": "string"
},
"snippetId": {
"description": "The selected snippet to be returned to the user.",
"type": "string"
}
},
"required": [
"codeSnippet",
"snippetId"
],
"type": "object",
"x-versionadded": "v2.35"
}
Properties
| Name |
Type |
Required |
Restrictions |
Description |
| codeSnippet |
string |
true |
|
A utf-8 encoded code snippet generated for the user. |
| snippetId |
string |
true |
|
The selected snippet to be returned to the user. |
GrantAccessControlWithId
{
"properties": {
"id": {
"description": "The id of the recipient.",
"type": "string"
},
"role": {
"description": "The role of the recipient on this entity.",
"enum": [
"ADMIN",
"CONSUMER",
"DATA_SCIENTIST",
"EDITOR",
"NO_ROLE",
"OBSERVER",
"OWNER",
"READ_ONLY",
"READ_WRITE",
"USER"
],
"type": "string"
},
"shareRecipientType": {
"description": "Describes the recipient type — one of user, group, organization, or externalapplication.",
"enum": [
"user",
"group",
"organization",
"externalApplication"
],
"type": "string"
}
},
"required": [
"id",
"role",
"shareRecipientType"
],
"type": "object"
}
Properties
| Name |
Type |
Required |
Restrictions |
Description |
| id |
string |
true |
|
The id of the recipient. |
| role |
string |
true |
|
The role of the recipient on this entity. |
| shareRecipientType |
string |
true |
|
Describes the recipient type — one of user, group, organization, or externalapplication. |
Enumerated Values
| Property |
Value |
| role |
[ADMIN, CONSUMER, DATA_SCIENTIST, EDITOR, NO_ROLE, OBSERVER, OWNER, READ_ONLY, READ_WRITE, USER] |
| shareRecipientType |
[user, group, organization, externalApplication] |
GrantAccessControlWithUsername
{
"properties": {
"role": {
"description": "The role of the recipient on this entity.",
"enum": [
"ADMIN",
"CONSUMER",
"DATA_SCIENTIST",
"EDITOR",
"NO_ROLE",
"OBSERVER",
"OWNER",
"READ_ONLY",
"READ_WRITE",
"USER"
],
"type": "string"
},
"shareRecipientType": {
"description": "Describes the recipient type — one of user, group, organization, or externalapplication.",
"enum": [
"user",
"group",
"organization",
"externalApplication"
],
"type": "string"
},
"username": {
"description": "Username of the user to update the access role for.",
"type": "string"
}
},
"required": [
"role",
"shareRecipientType",
"username"
],
"type": "object"
}
Properties
| Name |
Type |
Required |
Restrictions |
Description |
| role |
string |
true |
|
The role of the recipient on this entity. |
| shareRecipientType |
string |
true |
|
Describes the recipient type — one of user, group, organization, or externalapplication. |
| username |
string |
true |
|
Username of the user to update the access role for. |
Enumerated Values
| Property |
Value |
| role |
[ADMIN, CONSUMER, DATA_SCIENTIST, EDITOR, NO_ROLE, OBSERVER, OWNER, READ_ONLY, READ_WRITE, USER] |
| shareRecipientType |
[user, group, organization, externalApplication] |
ModelSnippetModel
{
"properties": {
"modelId": {
"description": "The selected model id.",
"type": "string"
},
"projectId": {
"description": "The selected project id.",
"type": "string"
},
"showSecrets": {
"default": "False",
"description": "If true, the datarobot_key and datarobot_api_key will be available in the context.",
"enum": [
"false",
"False",
"true",
"True"
],
"type": "string"
}
},
"required": [
"modelId",
"projectId"
],
"type": "object",
"x-versionadded": "v2.35"
}
Properties
| Name |
Type |
Required |
Restrictions |
Description |
| modelId |
string |
true |
|
The selected model id. |
| projectId |
string |
true |
|
The selected project id. |
| showSecrets |
string |
false |
|
If true, the datarobot_key and datarobot_api_key will be available in the context. |
Enumerated Values
| Property |
Value |
| showSecrets |
[false, False, true, True] |
PredictionSnippetModel
{
"properties": {
"cliScript": {
"default": true,
"description": "When combined with is_standalone, a true value returns an example cli run script for a snippet, while a false value returns an example executable script.",
"type": "boolean",
"x-versionadded": "v2.35"
},
"deploymentId": {
"description": "The selected deployment id.",
"type": "string"
},
"isBatchPrediction": {
"default": true,
"description": "If true, returns snippet that can be used to make batch predictions. not valid with time series projects.",
"type": "boolean"
},
"isLowLatencyPrediction": {
"default": false,
"description": "If true, returns snippet that can be used to make low latency predictions.valid for feature discovery projects.",
"type": "boolean"
},
"isStandalone": {
"default": false,
"description": "If true, returns an example script for a snippet.",
"type": "boolean"
},
"showSecrets": {
"default": false,
"description": "If true, the datarobot_key and datrobot_api_key will be available in the context.",
"type": "boolean"
},
"testMode": {
"default": false,
"description": "Generate a snippet with mocked information.",
"type": "boolean"
},
"withApiClient": {
"default": true,
"description": "Instead of raw Python code in the example, show a snippet using the datarobot Python API client.",
"type": "boolean"
}
},
"required": [
"deploymentId"
],
"type": "object",
"x-versionadded": "v2.35"
}
Properties
| Name |
Type |
Required |
Restrictions |
Description |
| cliScript |
boolean |
false |
|
When combined with is_standalone, a true value returns an example cli run script for a snippet, while a false value returns an example executable script. |
| deploymentId |
string |
true |
|
The selected deployment id. |
| isBatchPrediction |
boolean |
false |
|
If true, returns snippet that can be used to make batch predictions. not valid with time series projects. |
| isLowLatencyPrediction |
boolean |
false |
|
If true, returns snippet that can be used to make low latency predictions.valid for feature discovery projects. |
| isStandalone |
boolean |
false |
|
If true, returns an example script for a snippet. |
| showSecrets |
boolean |
false |
|
[...]
